Redmine - Defect #6771

undefined method ‘format_value' for #<ActionView::Base:0xb6a307e4>"
2010-10-29 03:11 - Tao Lin

Status: Closed Start date: 2010-10-29
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Feeds Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 1.0.2
Description

Hi,

| am using Redmine v1.0.2 with MySQL under Ututube linux and Eric's exception log plugin. Here is the exception log:

A ActionView:

undefined method

:TemplateError occurred in journals#index:

‘format_value' for #<ActionView: :Base:0xb6a307e4>

On line #23 of app/views/journals/index.rxml

20:
21:
228
23:
24 :
2583
26:
ank?

app/views/Jjournals/index.
app/views/Jjournals/index.
app/views/Jjournals/index.

xml.content "type" => "html" do
xml.text! '<ul>'
change.details.each do |detail|
xml.text! '<1li>' + show_detail (detail, false) + '</1li>'
end
xml.text! '</ul>"'
xml.text! textilizable (change, :notes, :only_path => false) unless change.notes.bl

app/helpers/issues_helper.rb:141:in " show_detail'
rxml:23:in *_run_rxml_app47views47journals47index46rxml’
rxml:22:in *_run_rxml_app47views47journals47index46rxml’
rxml:20:in ~_run_rxml_appéd7viewsd7journalsd7index46rxml’
rxml:11l:in ~_run_rxml_appéd7views4d7journals47index46rxml’

app/views/Jjournals/index.
app/views/Jjournals/index.
app/views/journals/index.
app/views/Jjournals/index.

rxml:9:in ~each'

rxml:9:in " _run_rxml_appé47views47journals47index46rxml’

rxml:2:in ~_run_rxml_app47views47journals47index46rxml’

app/controllers/journals_controller.rb:40:in "~ index'
/usr/lib/ruby/1.8/mongrel/rails.rb:76:in  “process'
/usr/lib/ruby/1.8/mongrel/rails.rb:74:in "~ synchronize'
/usr/lib/ruby/1.8/mongrel/rails.rb:74:in “process'
/usr/lib/ruby/1.8/mongrel.rb:159:in “process_client'
/usr/lib/ruby/1.8/mongrel.rb:158:in “each'
/usr/lib/ruby/1.8/mongrel.rb:158:in “process_client'
/usr/lib/ruby/1.8/mongrel.rb:285:in "run'
/usr/lib/ruby/1.8/mongrel.rb:285:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:285:in "“new'
/usr/lib/ruby/1.8/mongrel.rb:285:in "run'
/usr/lib/ruby/1.8/mongrel.rb:268:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:268:in "new'
/usr/lib/ruby/1.8/mongrel.rb:268:in "“run’
/usr/lib/ruby/1.8/mongrel/configurator.rb:282:in “run'
/usr/lib/ruby/1.8/mongrel/configurator.rb:281:in “each'
/usr/lib/ruby/1.8/mongrel/configurator.rb:281:in “run'
/usr/lib/ruby/1.8/mongrel/command.rb:212:in "“run'
Request:

* URL

http://redmine.hello.com/issues/changes?format=atom&amp; key=765e1592efda8137xxxxxx

XXXXXXXXXXX&amp; query_id=
* IP address: 203.126.130.140

* Parameters: {"format"=>"atom", "action"=>"index", "amp"=>nil, "query_id"=>"", "controller"=>"j
ournals", "key"=>"7765e1592efda8l37XXXXXXXXXXXXXXXXX"}

* Rails root: /home/redmine/www

* session id: nil
* data: nil

Environment:
* GATEWAY_INTERFACE : CGI/1.2
* HTTP_ACCEPT : image/gif, image/jpeg, image/pjpeg, image/pJjpeqg,

application/x-shockwave-flash, application/xaml+xml, application/vnd.ms-xpsdocument, application/
x-ms—xbap, application/x-ms-application, application/vnd.ms-excel, application/vnd.ms-powerpoint,
application/msword, */*

* HTTP_ACCEPT_ENCODING : gzip, deflate, identity

* HTTP_ACCEPT_LANGUAGE : en—-us

* HTTP_CACHE_CONTROL : max—-stale=0

* HTTP_CONNECTION : Keep-Alive

* HTTP_HOST : redmine.hello.com

* HTTP_REFERER : http://redmine.hello.com/projects/myproject/issu
es

* HTTP_USER_AGENT : Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.

1; Trident/4.0; GIB6.5; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; .NET CLR 3.0
.4506.2152; .NET CLR 3.5.30729)

* HTTP_VERSION : HTTP/1.1

* HTTP_X_BLUECOAT_VIA : 9B71CO9F7DDF662C1

* PATH_INFO : /issues/changes

* QUERY_STRING : format=atom&amp; key=765e1592e£da81378c3a5822201a
XXXKXXXKXKXXXKXKXXKXX&aAmp; query_id=

* REMOTE_ADDR : 203.126.130.140

* REQUEST_METHOD : GET

* REQUEST_PATH : /issues/changes

* REQUEST_URI : /issues/changes?format=atom&amp; key=765e1592efda

81378c3a5822201axxXXXXXXXXXXXXXXX&amp; query_id=
* SCRIPT_NAME :
* SERVER_NAME : redmine.hello.com

* SERVER_PORT : 80

* SERVER_PROTOCOL : HTTP/1.1

* SERVER_SOFTWARE : Mongrel 1.1.5

* action_controller.request.path_parameters : actionindexcontrollerjournals

* action_controller.request.query_parameters : formatatomampquery_idkey765e1592efda81378c3a5822

201 axXXXXXXXXXXXXXKKX
* action_controller.request.request_parameters:

* action_controller.rescue.request : #<ActionController::Request:0xb6a30e88>

* action_controller.rescue.response : #<ActionController: :Response:0xb6a30d34>

* rack.errors : #<I0:0xb783d558>

* rack.input : #<StringIO:0xb6a334d0>

* rack.multiprocess : true

* rack.multithread : false

* rack.request.query_hash : formatatomampquery_idkey765e1592efda81378c3a5822
201axXXXXXXXXXXXXKXKKKX

* rack.run_once : false

* rack.url_scheme : http

* rack.version : 01

* Process: 19914
Server : redmine

Backtrace:
On line #23 of app/views/journals/index.rxml

20: xml.content "type" => "html" do
21: xml.text! '<ul>"'
22 change.details.each do |detail|
233 xml.text! '<1li>' + show_detail (detail, false) + '</1li>'
24: end
25: xml.text! '</ul>"
26: xml.text! textilizable (change, :notes, :only_path => false) unless change.notes.

blank?
app/helpers/issues_helper.rb:141:in " show_detail'
app/views/journals/index.rxml:23:in " _run_rxml_appd7views4d7journals47index46rxml’
app/views/journals/index.rxml:22:in " _run_rxml_appé47views4d7journals47index46rxml"
app/views/Jjournals/index.rxml:20:in ~_run_rxml_appd7views4d7journalsd7index46rxml’
app/views/Jjournals/index.rxml:11:in ~_run_rxml_appd7views47journalsd7index46rxml’
app/views/journals/index.rxml:9:in “each'
app/views/Jjournals/index.rxml:9:in ' _run_rxml_app47views47journalsd47index46rxml’

app/views/journals/index.

rxml:2:1in

_run_rxml_app47views47journals47index46rxml’

app/controllers/journals_controller.rb:40:in "~ index'
/usr/lib/ruby/1.8/mongrel/rails.rb:76:in “process'
/usr/lib/ruby/1.8/mongrel/rails.rb:74:in "~ synchronize'
/usr/lib/ruby/1.8/mongrel/rails.rb:74:in “process'
/usr/lib/ruby/1.8/mongrel.rb:159:in “process_client'
/usr/lib/ruby/1.8/mongrel.rb:158:in "each'
/usr/lib/ruby/1.8/mongrel.rb:158:in “process_client'
/usr/lib/ruby/1.8/mongrel.rb:285:in “run'
/usr/lib/ruby/1.8/mongrel.rb:285:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:285:in "“new'
/usr/lib/ruby/1.8/mongrel.rb:285:in "run'
/usr/lib/ruby/1.8/mongrel.rb:268:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:268:in "new'
/usr/lib/ruby/1.8/mongrel.rb:268:in " run'
/usr/lib/ruby/1.8/mongrel/configurator.rb:282:in “run'
/usr/lib/ruby/1.8/mongrel/configurator.rb:281:in “each'
/usr/lib/ruby/1.8/mongrel/configurator.rb:281:in “run'
/usr/lib/ruby/1.8/mongrel/command.rb:212:in "“run'

Cheers,

History

#1 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

| am stepping down from working on Redmine. |f someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#2 - 2014-04-01 07:09 - Toshi MARUYAMA

- Status changed from New to Closed

Too old.
